# Source for file Interface.php

Documentation is available at Interface.php

1. <?php
2. /*
3. * $Id: Interface.php 1080 2007-02-10 18:17:08Z romanb $
4. *
5. * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6. * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7. * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8. * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9. * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10. * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11. * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12. * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13. * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14. * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15. * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16. *
17. * This software consists of voluntary contributions made by many individuals
18. * and is licensed under the LGPL. For more information, see
19. * <http://www.phpdoctrine.com>.
20. */
22. /**
23. * Doctrine_Cache_Interface
24. *
25. * @package Doctrine
26. * @subpackage Doctrine_Cache
27. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
28. * @category Object Relational Mapping
29. * @link www.phpdoctrine.com
30. * @since 1.0
31. * @version $Revision: 1080 $
32. * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
33. */
34. interface Doctrine_Cache_Interface
35. {
36. /**
37. * Test if a cache is available for the given id and (if yes) return it (false else)
38. *
39. * Note : return value is always "string" (unserialization is done by the core not by the backend)
40. *
41. * @param string $id cache id
42. * @param boolean $testCacheValidity if set to false, the cache validity won't be tested
43. * @return string cached datas (or false)
44. */
45. public function fetch($id, $testCacheValidity = true);
47. /**
48. * Test if a cache is available or not (for the given id)
49. *
50. * @param string $id cache id
51. * @return mixed false (a cache is not available) or "last modified" timestamp (int) of the available cache record
52. */
53. public function contains($id);
55. /**
56. * Save some string datas into a cache record
57. *
58. * Note : $data is always saved as a string
59. *
60. * @param string $data data to cache
61. * @param string $id cache id
62. * @param int $lifeTime if != false, set a specific lifetime for this cache record (null => infinite lifeTime)
63. * @return boolean true if no problem
64. */
65. public function save($data, $id, $lifeTime = false);
67. /**
68. * Remove a cache record
69. *
70. * @param string $id cache id
71. * @return boolean true if no problem
72. */
73. public function delete($id);
74. }